@echo off
title CoreAVC AVC/H.264 DirectShow Video Decoder - Install
echo --== Installing: CoreAVC Professional Edition v3.0.1 x86 ==--
echo.
cd /d %~dp0
if exist "%windir%\sysWOW64\regsvr32.exe" goto sysWOW64
copy /y CoreAVCDecoder.ax "%windir%\system32\" > nul
reg import RegKey.reg > nul
regsvr32 /s "%windir%\system32\CoreAVCDecoder.ax"
echo.
echo                Installation completed
echo.
echo Please config your CoreAVC
%windir%\system32\rundll32.exe "%windir%\system32\CoreAVCDecoder.ax",Configure
echo.
exit

:sysWOW64
copy /y CoreAVCDecoder.ax "%windir%\sysWOW64\" > nul
reg import RegKey.reg > nul
regsvr32 /s "%windir%\sysWOW64\CoreAVCDecoder.ax"
echo.
echo                Installation completed
echo.
echo Please config your CoreAVC
%windir%\system32\rundll32.exe "%windir%\sysWOW64\CoreAVCDecoder.ax",Configure
echo.
exit
